using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_YongHu_WoDeQuanXian : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("我的权限", "网站后台", "我的权限", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();


        SqlCommand 语句 = new SqlCommand("SELECT [ID] FROM [" + 程序.数据表前缀 + "社区_用户_用户组] WHERE [组名称]=@组名称", 访问.连接);
        语句.Parameters.Add("@组名称", SqlDbType.NVarChar).Value = 访问.用户["用户组"].ToString();
        Hashtable _用户组 = 常用.SQL_获取(语句);
        if (_用户组 == null)
            throw new Exception("用户组不存在");

        Response.Redirect("YongHuZu_XiuGai.aspx?ID=" + _用户组["ID"]);
    }
}
